Name:           translate-shell
Version:        0.9.6.12
Release:        %mkrel 1
License:        Public Domain
Summary:        Command-line interface and interactive shell for Google Translate
Group:          Text tools
Url:            http://www.soimort.org/translate-shell
Source0:        https://github.com/soimort/translate-shell/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  gawk >= 4.0
Requires:       gawk >= 4.0
Recommends:     fribidi
Recommends:     mplayer
Recommends:     rlwrap
Recommends:     groff
Recommends:     curl

%description
Translate Shell is a command-line interface and interactive shell
for Google Translate.
It works just the way you want it to be.

Translate Shell is a complete rewrite of Google Translate CLI Legacy,
which is a tiny script written in 100 lines of AWK code.
Translate Shell is backward compatible with Google Translate CLI Legacy
in its command-line usage; furthermore, it provides more functionality
including verbose translation, Text-to-Speech and interactive mode, etc.

Run <man trans> in the terminal for usage information.

%prep
%setup -q

%build
%make_build

%install
install -pd %{buildroot}%{_bindir}
install -pd %{buildroot}%{_mandir}/man1
install -pm0755 build/trans %{buildroot}%{_bindir}
install -pm0644 man/trans.1 %{buildroot}%{_mandir}/man1

%files
%doc LICENSE README.md WAIVER CONTRIBUTING.md
%{_bindir}/trans
%{_mandir}/*/*


%changelog
* Tue May 12 2020 daviddavid <daviddavid> 0.9.6.12-1.mga8
+ Revision: 1583267
- new version: 0.9.6.12

* Sat Feb 15 2020 umeabot <umeabot> 0.9.6.11-2.mga8
+ Revision: 1527931
- Mageia 8 Mass Rebuild

* Sun Jul 28 2019 daviddavid <daviddavid> 0.9.6.11-1.mga8
+ Revision: 1424723
- new version: 0.9.6.11

* Sun Apr 21 2019 daviddavid <daviddavid> 0.9.6.10-1.mga7
+ Revision: 1394229
- new version: 0.9.6.10

* Mon Dec 24 2018 daviddavid <daviddavid> 0.9.6.9-1.mga7
+ Revision: 1344798
- new version: 0.9.6.9

* Fri Sep 21 2018 umeabot <umeabot> 0.9.6.8-2.mga7
+ Revision: 1291932
- Mageia 7 Mass Rebuild

* Wed Aug 15 2018 daviddavid <daviddavid> 0.9.6.8-1.mga7
+ Revision: 1251660
- new version: 0.9.6.8

* Sat Jul 21 2018 daviddavid <daviddavid> 0.9.6.7-1.mga7
+ Revision: 1244673
- new version: 0.9.6.7

* Thu Jan 04 2018 dglent <dglent> 0.9.6.6-1.mga7
+ Revision: 1190195
- Version 0.9.6.6

* Wed May 18 2016 dglent <dglent> 0.9.4-1.mga7
+ Revision: 1016610
- Version 0.9.4

* Sat Apr 30 2016 dglent <dglent> 0.9.3.2-1.mga6
+ Revision: 1008061
- Version 0.9.3.2

* Fri Dec 18 2015 dglent <dglent> 0.9.2-1.mga6
+ Revision: 911556
- Version 0.9.2

* Wed Nov 11 2015 dglent <dglent> 0.9.1-2.mga6
+ Revision: 902014
+ rebuild (emptylog)

* Sun Nov 08 2015 dglent <dglent> 0.9.1-1.mga6
+ Revision: 898875
- Version 0.9.1
- Fix man page path

* Sat Sep 19 2015 dglent <dglent> 0.9.0.8-1.mga6
+ Revision: 881223
- Version 0.9.0.8

* Sun Jun 21 2015 dglent <dglent> 0.9.0.7-1.mga6
+ Revision: 837789
- New version 0.9.0.7

* Fri Apr 10 2015 dglent <dglent> 0.8.23-1.mga5
+ Revision: 820038
- New version 0.8.23

* Wed Oct 15 2014 umeabot <umeabot> 0.8.21-2.mga5
+ Revision: 742091
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 dglent <dglent> 0.8.21-1.mga5
+ Revision: 731593
- imported package translate-shell

